# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/HomeDir.pm) perl(Module/Build/Tiny.pm) perl(Term/ANSIScreen.pm) perl(Test/More.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_name App-ConMenu
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: Very simple Menu For Console commands Platform Agnostic
Group: Development/Perl
License: perl
URL: https://github.com/code4pay/App-ConMenu

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MM/MMUELLER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
App::ConMenu is a very simple console menu application it allows you to display a menu of
choices then select one of those by pressing the corresponding number.  This will cause ComMenu
to execute the associated commands in the menu.yml file.

The `m.pl' in the scripts dir is a script that  creates a menu by using the module. By default
the script uses ~/.con_menu.yml on unix type systems and <HOMEDIR>\_con_menu.yml on Windows type systems. If
the files do not exist then you will be prompted to create an example version.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/A*

%changelog
* Fri Jun 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

